# SoundOrganizer

*SoundOrganizer* is an Android app for managing guitar effect setups in several songs.

The user can define certain effects devices and their controls and create song definitions holding the values for the used devices' controls.
Furthermore a setlist or song order can be specified, which enables swiping through the songs one by one during concerts. If the song lengths are known, the app also computes a set length.



### Installation

You can download the latest version of the app from the [apk](https://github.com/haggl/SoundOrganizer/tree/apk) branch.
In order to be able to install the app, you must check the `Settings > Security > Unknown Sources` option on your device.

After installation a device database has to be imported.
The [example XML database](https://raw.github.com/haggl/SoundOrganizer/apk/sound-organizer.xml) is a good starting point for writing your own device definitions.

A device definition consists of a `<devicespec>`-tag including the effect's name and any number of `<paramspec>`-tags, which stand for a control knob or switch on the effect device and specifies also a name and the range of valid settings.
You can simply copy/paste and edit the example device specifications according to your personal effects setup.

When you are done, the XML must be placed in `/sdcard/sound-organizer.xml`.
After that it can simply be imported in the app by selecting `[Menu] > [import data]`.



### Usage

Songs and setlists can also be defined in the XML using the `<song>`- `<device>`- and `<setting>`- tags.
In addition to that, it is also possible to create and edit then directly in the UI.

To create a new song in the database, select `[Menu] > [add song]`.
In the popup dialog you have to specify a song name and optionally the number of the song within a set and the song length in seconds.
You can later change these values by long-tapping the song name in the list.

The songs are ordered by name unless song numbers were given, in which case the are sorted accordingly.
To delete the song numbers from all songs, you can select `[Menu] > [clear setlist]`.

Selecting the a song from the list opens the song activity, which shows all devices and their settings for this song.
Effect settings can be inserted or changed by simply selecting the device in question and tapping on the value box on the right.
After entering a new value, it is automatically saved to the database.

When the song has a song number and thus is part of a set, you can directly switch to the next/previous song by swyping left/right.
For convenience, the app switches of your screen lock in the song activity.

When all songs are set up, the whole database can be exported (including the song definitions) to XML again for backup purposes by selecting `[Menu] > [export data]`.
The app writes the database dump to `/sdcard/sound-organizer-export-<date>.xml`.



### License

This app is proudly presented and used by [sine](http://sineband.de).

It is free software under the [GNU GPL](http://www.gnu.org/licenses/gpl.txt).
